> For the complete documentation index, see [llms.txt](https://docs.digitalriver.com/digital-river-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalriver.com/digital-river-api/administration/dashboard/developers/event-logs/filtering-the-events-log.md).

# Filtering the events log

## Setting your filter parameters

The following table lists the parameters you can define when you filter your events log.

| Parameter  | Definition                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| ---------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Date range | The start and end dates of the time period you want to search.                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| Event type | Select the type of event you want to view. Your options are `account`, `all`, `charge`, `checkout`, `checkout_session`, `coupon_code`, `customer`,  `fee`, `file`, `fileLink`,  `fulfiller`,`fulfillment`,  `fulfillment_cancellation`,  `fulfillment_order`,  `fulfillment_return`, `global_returns`,  `inventory`, `invoice`, `invoice_attribute`, `location`, `logistics_return`, `manufacturer,` `order`, `payout`, `plan`, `refund`, `return`, `sales_transaction`, `sku`, `source`, `subscription`, `tax_identifier`. |

## Filter the event log

You can filter the event log to display the information you want to view. To filter the event log results:

1. Click **Event logs** in the left navigation. The Event logs page appears.
2. Click **Filter**. The **Filters** dialog appears.
3. If desired, specify a **Date range** filter. First, select a **Start Date** by clicking the calendar icon on the right side of the **Start Date** field. You will then be presented with the calendar page dialog.
4. On the calendar page, choose the date, month, and year that you want for your date. To assist you with selecting your date, click the left/right chevrons to go back and forth in time on the calendar page.
5. Click your desired date. The Time selection clock modal lets you pick a time if you need more filter precision.\
   \
   ![](/files/CQRNevXcBoOxblVMTmlm)
6. Click the desired hour number in the inner and outer number rings on the clock to select it. You can also drag the clock hand selector to pick the hour. The clock uses a 24-hour clock (military time). The minutes' clock modal appears after you have chosen the hour number.\
   \
   ![](/files/Byah1pzPiJy0nGPlbtA2)
7. Click the desired minutes number on the clock to select it. You can also drag the clock hand selector to pick the number. You can click the Calendar and Clock icons on the bottom of the date/time modals if you wish to toggle back and forth to make any date and time corrections.
8. Repeat Steps 3-7 with the **End Date** field to select the range End Date.
9. Choose the event type you want to view and click **Apply** to obtain filter results.\
   \
   ![](/files/FNixlFYgvELv9IUKKIWC)

{% hint style="info" %}
The Filter button displays how many changes you have applied to the Filter settings while you are on the page. When you leave the page, the filter settings return to their default settings. To clear the filter settings, click **Filter** and then click **Clear**.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalriver.com/digital-river-api/administration/dashboard/developers/event-logs/filtering-the-events-log.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
